package tools.descartes.dql.connector.kieker.configgenerator;

import java.io.File;
import java.io.IOException;
import java.util.ArrayList;

import javax.xml.parsers.ParserConfigurationException;
import javax.xml.transform.TransformerException;

public class XMLGenerationManager {

	final static ArrayList<String> defaultExcludeOptions = new ArrayList<String>() {
		{
			add("org.apache.commons.logging..*");
			add("org.slf4j..*");
			add("java.util.logging..*");
			add("org.apache.log4j..*");
		}
	};

	final static ArrayList<String> defaultAspectNames = new ArrayList<String>() {
		{
			add("kieker.monitoring.probe.aspectj.flow.operationExecutionObject.FullInstrumentation");
			add("kieker.monitoring.probe.aspectj.operationExecution.OperationExecutionAspectFull");
		}
	};

	public static boolean generateDefaultXML(ArrayList<String> services, String path) {
		try {
			XMLGenerator.createXml(path + File.separator + "aop.xml", "", services, defaultExcludeOptions,
					defaultAspectNames);
		} catch (ParserConfigurationException | TransformerException | IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
			return false;
		}

		return true;
	}

}
